OpenShot Audio Library | OpenShotAudio: juce::URL::DownloadTaskOptions Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::URL::DownloadTaskOptions Class Reference

`#include <juce_URL.h>`

## Public Member Functions
auto | withExtraHeaders (String value) const
auto | withSharedContainer (String value) const
auto | withListener (DownloadTaskListener *value) const
auto | withUsePost (bool value) const

## Public Attributes
String | extraHeaders
String | sharedContainer
DownloadTaskListener * | listener = nullptr
bool | usePost = false

## Detailed Description

Holds options that can be specified when starting a new download with downloadToFile().

Definition at line 459 of file juce_URL.h.

## Member Function Documentation

## ◆ withExtraHeaders()

auto juce::URL::DownloadTaskOptions::withExtraHeaders | ( | String | value | ) | const
| inlinenodiscard

Specifies headers to add to the request.

Definition at line 468 of file juce_URL.h.

Referenced by juce::URL::downloadToFile().

## ◆ withListener()

auto juce::URL::DownloadTaskOptions::withListener | ( | DownloadTaskListener * | value | ) | const
| inlinenodiscard

Specifies an observer for the download task.

Definition at line 480 of file juce_URL.h.

## ◆ withSharedContainer()

auto juce::URL::DownloadTaskOptions::withSharedContainer | ( | String | value | ) | const
| inlinenodiscard

On iOS, specifies the container where the downloaded file will be stored.

If you initiate a download task from inside an app extension on iOS, you must supply this option.

This is currently unused on other platforms.

Definition at line 477 of file juce_URL.h.

## ◆ withUsePost()

auto juce::URL::DownloadTaskOptions::withUsePost | ( | bool | value | ) | const
| inlinenodiscard

Specifies whether a post command should be used.

Definition at line 483 of file juce_URL.h.

## Member Data Documentation

## ◆ extraHeaders

String juce::URL::DownloadTaskOptions::extraHeaders

Definition at line 462 of file juce_URL.h.

## ◆ listener

DownloadTaskListener* juce::URL::DownloadTaskOptions::listener = nullptr

Definition at line 464 of file juce_URL.h.

## ◆ sharedContainer

String juce::URL::DownloadTaskOptions::sharedContainer

Definition at line 463 of file juce_URL.h.

## ◆ usePost

bool juce::URL::DownloadTaskOptions::usePost = false

Definition at line 465 of file juce_URL.h.

The documentation for this class was generated from the following file:

- juce_URL.h